Main Page Widgets Namespaces Book

# Gtk::HSeparator Class Reference
[Widgets]

Horizontal line widget. More...

Inheritance diagram for Gtk::HSeparator:

[legend]
List of all members.

## Public Methods

virtual | ~HSeparator ()
GtkHSeparator* | gobj ()
const GtkHSeparator* | gobj () const
| HSeparator ()

## Related Functions

(Note that these are not member functions.)
Gtk::HSeparator* | wrap (GtkHSeparator* object, bool take_copy=false)

## Detailed Description

Horizontal line widget.

Filler widget used to separate widgets with a visible line. This widget has no window and receives no configuration events. It should be considered a leaf widget.

## Constructor & Destructor Documentation

virtual Gtk::HSeparator::~HSeparator | ( |  | ) | `[virtual]`

Gtk::HSeparator::HSeparator | ( |  | ) |

## Member Function Documentation

const GtkHSeparator* Gtk::HSeparator::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Gtk::Separator.

GtkHSeparator* Gtk::HSeparator::gobj | ( |  | ) | `[inline]`

| Reimplemented from Gtk::Separator.

## Friends And Related Function Documentation

Gtk::HSeparator* wrap | ( | GtkHSeparator* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- separator.h